Package com.verisign.epp.interfaces.v1_0

## Class EPPFeeDomainTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.v1_0.EPPFeeDomainTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPFeeDomainTst
      extends junit.framework.TestCase

  Is a unit test of the `EPPDomain` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
  java com.verisign.epp.interfaces.EPPFeeDomainTst -Dthreads=2 ../../epp.config
  The unit test is dependent on the use of JUNIT 3.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPFeeDomainTst​(java.lang.String name)` | Allocates an `EPPFeeDomainTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `domainCreate()` | Unit test of `EPPDomain.sendCreate` with fee extension.
    `void` | `domainDelete()` | Unit test of `EPPDomain.sendDelete` with the fee extension expected in the response.
    `void` | `domainRenew()` | Unit test of `EPPDomain.sendRenew` with fee extension.
    `void` | `domainTransfer()` | Unit test of `EPPDomain.sendTransfer` with fee extension.
    `void` | `domainUpdate()` | Unit test of `EPPDomain.sendUpdate` with fee extension.
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `java.lang.String` | `makeContactName()` | Makes a unique contact name using the current time.
    `java.lang.String` | `makeDomainName()` | This method tries to generate a unique String as Domain Name and Name Server
    `java.lang.String` | `makeHostName​(java.lang.String newDomainName)` | Makes a unique host name for a domain using the current time.
    `java.lang.String` | `makeIP()` | Makes a unique IP address based off of the current time.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPFeeDomainTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testDomain()` | JUNIT test method to implement the `EPPFeeDomainTst TestCase`.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPFeeDomainTst

          public EPPFeeDomainTst​(java.lang.String name)

      Allocates an `EPPFeeDomainTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testDomain

          public void testDomain()

      JUNIT test method to implement the `EPPFeeDomainTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

    - #### domainCreate

          public void domainCreate()

      Unit test of `EPPDomain.sendCreate` with fee extension.

    - #### domainDelete

          public void domainDelete()

      Unit test of `EPPDomain.sendDelete` with the fee extension expected in the response. The special domain "delete-credit.com" is used to trigger the Stub Server to include the fee extension in the response.

    - #### domainRenew

          public void domainRenew()

      Unit test of `EPPDomain.sendRenew` with fee extension.

    - #### domainUpdate

          public void domainUpdate()

      Unit test of `EPPDomain.sendUpdate` with fee extension.

    - #### domainTransfer

          public void domainTransfer()

      Unit test of `EPPDomain.sendTransfer` with fee extension.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPFeeDomainTst`.
      Returns:
        Test suite

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Command line arguments

    - #### makeDomainName

          public java.lang.String makeDomainName()

      This method tries to generate a unique String as Domain Name and Name Server
      Returns:
        DOCUMENT ME!

    - #### makeIP

          public java.lang.String makeIP()

      Makes a unique IP address based off of the current time.
      Returns:
        Unique IP address `String`

    - #### makeHostName

          public java.lang.String makeHostName​(java.lang.String newDomainName)

      Makes a unique host name for a domain using the current time.
      Parameters:
        `newDomainName` - DOCUMENT ME!
      Returns:
        Unique host name `String`

    - #### makeContactName

          public java.lang.String makeContactName()

      Makes a unique contact name using the current time.
      Returns:
        Unique contact name `String`